Loading...
Searching...
No Matches
Catch::IMutableRegistryHub Class Referenceabstract

`#include <catch_amalgamated.hpp>`

## Public Member Functions

virtual | ~IMutableRegistryHub ()
virtual void | registerReporter (std::string const &name, IReporterFactoryPtr factory)=0
virtual void | registerListener (Detail::unique_ptr< EventListenerFactory > factory)=0
virtual void | registerTest (Detail::unique_ptr< TestCaseInfo > &&testInfo, Detail::unique_ptr< ITestInvoker > &&invoker)=0
virtual void | registerTranslator (Detail::unique_ptr< IExceptionTranslator > &&translator)=0
virtual void | registerTagAlias (std::string const &alias, std::string const &tag, SourceLineInfo const &lineInfo)=0
virtual void | registerStartupException () noexcept=0
virtual IMutableEnumValuesRegistry & | getMutableEnumValuesRegistry ()=0

## Constructor & Destructor Documentation

## ~IMutableRegistryHub()

Catch::IMutableRegistryHub::~IMutableRegistryHub | ( |  | ) |

virtualdefault

## Member Function Documentation

## getMutableEnumValuesRegistry()

virtual IMutableEnumValuesRegistry & Catch::IMutableRegistryHub::getMutableEnumValuesRegistry | ( |  | ) |

pure virtual

Here is the call graph for this function:
Here is the caller graph for this function:

## registerListener()

virtual void Catch::IMutableRegistryHub::registerListener | ( | Detail::unique_ptr< EventListenerFactory > | factory | ) |

pure virtual

Here is the caller graph for this function:

## registerReporter()

virtual void Catch::IMutableRegistryHub::registerReporter | ( | std::string const & | name,
|  | IReporterFactoryPtr | factory )

pure virtual

Here is the caller graph for this function:

## registerStartupException()

virtual void Catch::IMutableRegistryHub::registerStartupException | ( |  | ) |

pure virtualnoexcept

Here is the caller graph for this function:

## registerTagAlias()

virtual void Catch::IMutableRegistryHub::registerTagAlias | ( | std::string const & | alias,
|  | std::string const & | tag,
|  | SourceLineInfo const & | lineInfo )

pure virtual

Here is the caller graph for this function:

## registerTest()

virtual void Catch::IMutableRegistryHub::registerTest | ( | Detail::unique_ptr< TestCaseInfo > && | testInfo,
|  | Detail::unique_ptr< ITestInvoker > && | invoker )

pure virtual

Here is the caller graph for this function:

## registerTranslator()

virtual void Catch::IMutableRegistryHub::registerTranslator | ( | Detail::unique_ptr< IExceptionTranslator > && | translator | ) |

pure virtual

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp